> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete ad-audience

> Delete ad-audience



## OpenAPI

````yaml https://openapi.commercengine.io/ce-admin.json delete /customers/segments/{id}/ad-audiences/{ad_audience_id}
openapi: 3.1.0
info:
  title: CE Admin APIs
  version: '1.0'
  summary: Comprehensive admin interface for managing your e-commerce platform
  description: >-
    Complete administrative API suite for Commerce Engine, providing powerful
    tools to manage products, orders, customers, inventory, analytics, and
    system configuration. Designed for administrators and backend integrations
    requiring full platform control.
  license:
    name: All Rights Reserved
    url: https://www.commercengine.io/contact-us
  contact:
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
    name: Support
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/admin
    description: Staging Server
    variables:
      store_id:
        default: store_id
        description: Store ID
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/admin
    description: Prod Server
    variables:
      store_id:
        default: store_id
        description: Store ID
security:
  - Authorization: []
tags:
  - name: Analytics
    description: Analytics
  - name: Catalog
    description: Catalog
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Filter Options
    description: Filter Options
  - name: Inventories
    description: Inventories
  - name: Marketplace
    description: Marketplace
  - name: Marketplace Catalog
    description: Marketplace Catalog
  - name: Media Gallery
    description: Media Gallery
  - name: Metrics
    description: Metrics
  - name: Orders
    description: Orders
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: POS
    description: POS
  - name: POSAdmin
    description: Admin endpoints to be used as proxy in pos
  - name: Segments
    description: Segments
  - name: Shipping
    description: Shipping
  - name: SSE
    description: SSE
  - name: Store
    description: Store
  - name: Webhooks
    description: Webhooks
paths:
  /customers/segments/{id}/ad-audiences/{ad_audience_id}:
    parameters:
      - name: ad_audience_id
        in: path
        description: ad audience id
        required: true
        schema:
          type: string
      - name: id
        in: path
        description: segment id
        required: true
        schema:
          type: string
    delete:
      tags:
        - Segments
      summary: Delete ad-audience
      description: Delete ad-audience
      operationId: delete-ad-audience
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                  content:
                    properties:
                      ad_audience:
                        $ref: '#/components/schemas/SegmentAdAudience'
                    type: object
components:
  schemas:
    SegmentAdAudience:
      title: SegmentAdAudience
      type: object
      required:
        - name
        - service_provider_id
      properties:
        id:
          type: string
          readOnly: true
        name:
          type: string
        description:
          type:
            - string
            - 'null'
        audience_match_field:
          type:
            - string
            - 'null'
        service_provider_id:
          type: string
        service_provider_name:
          type: string
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        modified_at:
          type: string
          format: date-time
          readOnly: true
        last_synced_status:
          description: default status = pending
          enum:
            - success
            - failed
            - pending
          readOnly: true
        last_synced_at:
          type: string
          format: date-time
          readOnly: true
        total_people_synced:
          type: integer
          readOnly: true
      x-tags:
        - Segments
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````